Subject: small fix for _PATH_XFERLOG undefined in pathnames.h

From: Albert Lunde <[email-masked]>
Date: Wed, 17 Feb 1999 14:19:06 -0600

In putting my builds of beta-18-V13 and beta-18-VR14 into production I
found what seems like a logic bug in the conditional code of pathnames.h

In some cases, it seems to be pussible to wind up with _PATH_XFERLOG undefined.

I have a patch that fixed the problem for me; I haven't stress-tested this
against all the possible branches.

This is a diff -c against the beta-18-VR14 source.

- - cut here - -
*** pathnames.h.dist	Sat Oct 31 09:58:16 1998
--- pathnames.h.fix	Wed Feb 17 13:52:02 1999
***************
*** 91,101 ****
  #define _PATH_PIDNAMES  "/var/adm/ftp.pids-%s"
  #define _PATH_FTPD_PID  "/var/adm/ftpd.pid"
  #endif
  #ifdef USE_LOG
  #define _PATH_XFERLOG   "/var/log/xferlog"
  #else
  #define _PATH_XFERLOG   "/var/adm/xferlog"
- #endif
  #endif
  #else
  #ifdef USE_USR
--- 91,101 ----
  #define _PATH_PIDNAMES  "/var/adm/ftp.pids-%s"
  #define _PATH_FTPD_PID  "/var/adm/ftpd.pid"
  #endif
+ #endif
  #ifdef USE_LOG
  #define _PATH_XFERLOG   "/var/log/xferlog"
  #else
  #define _PATH_XFERLOG   "/var/adm/xferlog"
  #endif
  #else
  #ifdef USE_USR
- - cut here - -

I think I discovered the problem while I was saying:

> /* fix paths for local usage */
> #define USE_VAR
> #define USE_PID
> #undef  USE_OPT_FTPD

towards the end of my config.hpx file.

I'm now saying in current version:

>/* fix paths for local usage */
>#define USE_VAR
>#define USE_PID
>#undef  USE_OPT_FTPD
>#undef  VAR_RUN

(Most of the reasons for using these paticular paths are site-specific.)

---
    Albert Lunde                      [email-masked]